Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023720Runner[All Projects] Windows (YYC)Public2016-09-19 11:592017-03-01 16:19
Reporterzen 
Assigned ToRussell Kay 
PriorityNoneSeverityC - GeneralReproducibility100%
StatusClosedResolutionFixed 
PlatformWindows (YYC)OS OS Version
Summary0023720: Win(YYC): Reading variable produces different results with YoYo Compiler for Windows
DescriptionScript produces different results depending on whether a variable is outputed with show_debug_message() or not.

The result is deterministic with the provided project (which is the complete Game Maker project). Not sure how to reproduce with a new project from scratch.

The script in question is called scr_set_scale_fx_y.

Essentially changing the script in the following ways:

 show_debug_message("argument1.y : "+string(argument1.y));
show_debug_message("argument1.image_xscle : "+string(argument1.image_xscale));
show_debug_message("argument1.image_yscle : "+string(argument1.image_yscale));

VS

show_debug_message("argument1.y : "+string(oldY));
show_debug_message("argument1.image_xscle : "+string(oldScaleX));
show_debug_message("argument1.image_yscle : "+string(oldScaleY));

Changes the output from:

xscale : 0.47
yscale : 0.47

VS

xscale : 0.65
yscale : 0.65

I also tested briefly with BETA version V 1.99.493 of Game Maker Studio and the problem was still happening.

If I had a dumb guess as to why this is happening, I'd say reading the variable from argument1.XXXXX refreshes some kind of cache and that fixes the issue, while not reading it keeps the cache in a faulty state? Maybe?
Additional InformationOriginal helpdesk ticket: http://help.yoyogames.com/tickets/110263 [^]
1.4 Version1.4.1760
2.x Runtime Version
2.x Runtime Version Verified In
Attached Files

- Relationships

-  Notes
(0050516)
Russell Kay (Manager)
2016-11-28 18:19

Fixed on gitlab - 8f80613
(0051877)
Ross Manthorp (Administrator)
2017-03-01 16:19

Fixed. Closing.


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker